<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
	</head>

	<body>
		<div class="common_content_nav">您所在位置 > <a href="">消息模版管理</a></div>
		<div class="common_content_title">消息模版管理</div>
		<div class="common_content_table box_shadow border10">
			<table id="huiyuandingdanTable" class="easyui-datagrid" style="width:100%;height:400px" data-options="pagination:true,singleSelect:true,collapsible:true,url:'../../wechatTemplateMessageController/showWechatTemplateMessage.do',method:'get'">
				<thead>
					<tr>
						<th data-options="field:'templateMessId',checkbox:true"></th>
						<th data-options="field:'templateTitle',width:150,align:'left',halign:'center'">模板标题</th>
						<th data-options="field:'templateId',width:120,align:'right',halign:'center'">模板ID</th>
						<th data-options="field:'firstClassName',width:120,align:'right',halign:'center'">一级行业</th>
						<th data-options="field:'secondClsssName',width:120,align:'right',halign:'center'">二级行业</th>
						<th data-options="field:'templateMessId2',width:120,align:'center',halign:'center',formatter:updateBtn,editor:'numberbox'">操作</th>
					</tr>
				</thead>
			</table>
		</div>
		
		<div id="edit_div" class="mask clearfix none" >
			<form id="save_form">
				<input type="hidden" class="form-control" id="templateMessItemId" name="templateMessItemId" >
				<input type="hidden" class="form-control" id="templateMessId" name="templateMessId" >
			<div class="detailed xitongpeizhi_detailed tabPanel" style="margin-top:10px;">
				<button type="button" class="icon detailed_close"></button>
				<div class="common_content_title">模板消息设置</div>
				<div class="row">
					<div class="col-xs-3 msg">模板消息名称</div>
					<div class="col-xs-9 msg"><i>优惠券使用通知</i></div>
				</div>
				<div class="row">
					<div class="col-xs-3 msg">模板消息编号</div>
					<div class="col-xs-9 msg"><i>OPENTM200972357</i></div>
				</div>
				<div class="row">
					<div class="col-xs-3 msg">模板消息ID</div>
					<div class="col-xs-9 msg"><i>G7LOFHsLplANW4gim799EncpLAtyGEJzQlFJPjEBYAM</i>
						
					</div>
				</div>
				<div class="row">
					<div class="col-xs-3 msg">首部文字</div>
					<div class="col-xs-9 msg">
						<input type="hidden" name="templateReplaceParam" id="templateReplaceParam" >
						<textarea class="form-control" id="firstText" name="firstText" rows="3" cols=""></textarea>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-3 msg">评论文字</div>
					<div class="col-xs-9 msg">
						<textarea class="form-control" id="secondText" name="secondText" rows="3" cols=""></textarea>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-3 msg">模板链接</div>
					<div class="col-xs-9 msg">
						<input class="form-control" id="templateUrl" name="templateUrl" ></input>
						若不设置，则在发送后，点击模板消息会进入一个空白页面（ios），
或无法点击（android）。
					</div>
				</div>
				<div class="row">
					<div class="col-xs-3 msg">启用状态</div>
					<div class="col-xs-3">
						<input type="hidden" name="statusId" id="statusId" >
						<input size="16" type="text" class="form-control" name="statusText" id="statusText" input-type="select" readonly="">
						<ul class="dropdown-menu" data="$.WECHAT_TEMPLATE_MESSAGE_ITEM_STATUS_ID">

						</ul>
						<i class="input_icon input_down"></i>
					</div>
				</div>
				<button id="save_btn" onclick="doSave()" type="button" class="btn btn-success btn-block choose_btn">保存</button>
			</div>
			</form>
		</div>
		<script type="text/javascript">
			$(function() {
 				require(['view/wechat/wechatTempManage'], function(re) {
 					re.init();
 				});
			});
			
			function updateBtn(value,column){
				if (column.templateMessId){
					var s='<div onclick="showEdit('+column.templateMessId+');" class="table_icon icon_upd"></div>';
			    	return s;
				} else {
			    	return '';
				}
			}
			function showEdit(obj){
				$("#edit_div").show();
				$("#templateMessId").val(obj);
				//获取指定区域详情 
	    		var url=$.baseUrl+"/wechatTemplateMessageController/wechatTemplateMessageItemDetail.do?templateMessId="+obj;
	        	$.ajax({
	                type:"GET",
	                url:url,
	                dataType:"JSON",
	                contentType: "application/x-www-form-urlencoded; charset=utf-8", 
	                success:function(data){
	                	$("#templateMessItemId").val(data.templateMessItemId);
						$("#templateReplaceParam").val(data.templateReplaceParam);
						var templateReplaceParams=data.templateReplaceParam.split("&");
						$("#firstText").val(templateReplaceParams[0]);
						$("#secondText").val(templateReplaceParams[1]);
						$("#templateUrl").val(data.templateUrl);
						$("#statusId").val(data.statusId);
						$("#statusText").val($.WECHAT_TEMPLATE_MESSAGE_ITEM_STATUS_ID.getText(data.statusId));
						
	                },
	                error:function(){
	                    alert("request error");
	                }
	            });				
			}			
			function doSave(){
				var firstTex=$("#firstText").val();
				var secondText=$("#secondText").val();
				$("#templateReplaceParam").val(firstTex+"&"+secondText);
				//获取指定区域详情 
	    		var url=$.baseUrl+"/wechatTemplateMessageController/saveTemplateMessageItem.do";
	        	$.ajax({
	                type:"POST",
	                url:url,
	                contentType: "application/x-www-form-urlencoded; charset=utf-8", 
	                dataType:"JSON",
	                data:$('#save_form').serialize(),
	                success:function(data){
						//alert("OK!");
						window.location.reload();
	                },
	                error:function(){
	                    alert("request error");
	                }
	            });				
			}				
		</script>
	</body>

</html>